# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/sharp,ls043t1le01.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Sharp Microelectronics 4.3" qHD TFT LCD panel

maintainers:
  - Werner Johansson <werner.johansson@sonymobile.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: sharp,ls043t1le01-qhd

  reg: true
  backlight: true
  reset-gpios: true
  port: true

  avdd-supply:
    description: handle of the regulator that provides the supply voltage

required:
  - compatible
  - reg
  - avdd-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "sharp,ls043t1le01-qhd";
            reg = <0>;
            avdd-supply = <&pm8941_l22>;
            backlight = <&pm8941_wled>;
            reset-gpios = <&pm8941_gpios 19 GPIO_ACTIVE_HIGH>;
        };
    };

...
